
proc BeforeWriteCalcFileGIDProject { args } {
    VerifyModel
}

proc VerifyModel {} {
    global ProblemTypePriv

    set maxnodes 2000

    set path [file join $ProblemTypePriv(problemtypedir) scripts nsc.exe]

    set MeshNodes [.central.s info Mesh MaxNumNodes]
    if { $maxnodes < $MeshNodes } {
	set cwd [pwd]
	cd $ProblemTypePriv(problemtypedir)
	set retval [exec $path]
	cd $cwd
	if { ![string match "*This is the PROFESSIONAL VERSION*" $retval] } {
	    set message "This version is limited to $maxnodes nodes.\n\
		    To obtain a password for PROFESSIONAL version\n\
		    please email us at info@compassis.com.\n\
		    \n\twww.compassis.com"
	    WarnWin $message
	    error $message
	}
    }
}

proc WriteCalcFileCheck {} {
    if { [catch {
	VerifyModel
    }] } {
	return
    }
    .central.s process escape escape escape escape Files WriteCalcFile
}